Page MenuHomePhabricator

every edit save fails, Invalid CSRF token
Closed, ResolvedPublic1 Estimated Story Points

Description

Android App 2.4.184-beta-2016-12-14

01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1: failure():346: 
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1: java.lang.RuntimeException: Invalid CSRF token.
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at org.wikipedia.edit.EditClient$1.onResponse(EditClient.java:75)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at retrofit2.ExecutorCallAdapterFactory$ExecutorCallbackCall$1$1.run(ExecutorCallAdapterFactory.java:68)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at android.os.Handler.handleCallback(Handler.java:739)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at android.os.Handler.dispatchMessage(Handler.java:95)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at android.os.Looper.loop(Looper.java:148)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at android.app.ActivityThread.main(ActivityThread.java:5417)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at java.lang.reflect.Method.invoke(Native Method)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:726)
01-02 00:40:16.471 12722 12722 W org.wikipedia.edit.EditSectionActivity$4$1:    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:616)

need a better error message so beta users can report bugs like this without logcat... !!

maybe log out/back in will fix but I'm tired of logging out and back in.

Event Timeline

jeremyb created this task.Jan 2 2017, 5:53 AM
jeremyb updated the task description. (Show Details)
Niedzielski triaged this task as High priority.Jan 3 2017, 4:22 PM

thanks for triaging.

can someone give me an idea if there's any more info I can provide or should I resume the log out and log back in dance? I've refrained from logging out since filing this and have a corresponding lack of edits because the apps are unusable. (multiple devices)

Change 332471 had a related patch set uploaded (by Mholloway):
Fetch CSRF token before each page edit

https://gerrit.wikimedia.org/r/332471

ā€¢ NHarateh_WMF set the point value for this task to 1.Jan 18 2017, 4:24 PM

Change 332471 merged by jenkins-bot:
Fetch CSRF token before each page edit

https://gerrit.wikimedia.org/r/332471

I don't have good QA steps for this, unfortunately (sign in and edit and then wait a month or so?) so let's just move this to Ready for Signoff and keep on the lookout for any future reports after this gets released.

doesn't take a month, sometimes happens in less than a day.

Dbrant closed this task as Resolved.Jan 30 2017, 4:13 PM

@Matanya is repro-ing this on the latest alpha again :[ @Mholloway @Dbrant, can either of you repro? This _seems_ to be independent of caching as @Matanya cleared the cache, logged out and back in, and is still getting the error. I can't seem to repro on a couple of my accounts

I was able to repro and we confirmed on IRC that this is indeed an effect of the caching problems (T157460).